## zaqar-tempest-plugin 1.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
testtools>=1.4.0 # MIT
tempest>=16.1.0 # Apache-2.0

## zaqar-tempest-plugin 1.0.0

=== debian/changelog ===
zaqar-tempest-plugin (1.0.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #961521).

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 May 2020 17:54:29 +0200

=== debian/control ===
Source: zaqar-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/zaqar-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/zaqar-tempest-plugin.git
Homepage: https://opendev.org/openstack/zaqar-tempest-plugin

Package: zaqar-tempest-plugin
Architecture: all
Depends:
 python3-oslo.config,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-six,
 python3-testtools,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Zaqar plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Zaqar plugin.

## zaqar-tempest-plugin 1.3.1

=== debian/changelog ===
zaqar-tempest-plugin (1.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:45:31 +0200

zaqar-tempest-plugin (1.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 13:41:18 +0200

zaqar-tempest-plugin (1.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 09:28:16 +0200

zaqar-tempest-plugin (1.2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 17:01:00 +0200

zaqar-tempest-plugin (1.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed openstack-pkg-tools build-depends version.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Mar 2021 13:44:50 +0200

zaqar-tempest-plugin (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 15:10:35 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
@@ -23,7 +23,6 @@
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-pbr,
- python3-six,
  python3-testtools,
  tempest,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/zaqar-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	pkgos-dh_auto_test --no-py2
#endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## zaqar-tempest-plugin 1.4.0

=== debian/changelog ===
zaqar-tempest-plugin (1.4.0-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Mar 2022 07:46:02 +0000

zaqar-tempest-plugin (1.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 09:44:54 +0200

zaqar-tempest-plugin (1.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Mar 2022 23:02:53 +0100

## zaqar-tempest-plugin 1.5.0

=== debian/changelog ===
zaqar-tempest-plugin (1.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 16:21:10 +0200

## zaqar-tempest-plugin 1.6.0

=== debian/changelog ===
zaqar-tempest-plugin (1.6.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1046021).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Aug 2023 12:28:26 +0200

zaqar-tempest-plugin (1.6.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:11:30 +0200

zaqar-tempest-plugin (1.6.0-2) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 11:08:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	find . -type d -name __pycache__ -exec rm -r {} \+
+	rm -rf build
 
 override_dh_auto_test:
 	echo "Do nothing..."

## zaqar-tempest-plugin 1.7.0

=== debian/changelog ===
zaqar-tempest-plugin (1.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 21:03:12 +0200

zaqar-tempest-plugin (1.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2023 14:55:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 override_dh_auto_clean:
 	python3 setup.py clean
 	find . -type d -name __pycache__ -exec rm -r {} \+
-	rm -rf build
+	rm -rf build *.egg-info
 
 override_dh_auto_test:
 	echo "Do nothing..."

## zaqar-tempest-plugin 1.8.0

=== debian/changelog ===
zaqar-tempest-plugin (1.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 May 2024 13:55:16 +0200

zaqar-tempest-plugin (1.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2024 11:09:59 +0100

## zaqar-tempest-plugin 2.0.0

=== debian/changelog ===
zaqar-tempest-plugin (2.0.0-3) unstable; urgency=medium

  * Switch to pybuid (Closes: #1090710).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 13:50:15 +0100

zaqar-tempest-plugin (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 23:15:15 +0200

zaqar-tempest-plugin (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 10:34:24 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/zaqar-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## zaqar-tempest-plugin 3.0.0

=== debian/changelog ===
zaqar-tempest-plugin (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:48:47 +0100

zaqar-tempest-plugin (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 17:44:29 +0100

zaqar-tempest-plugin (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 15:25:20 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

## zaqar-tempest-plugin 3.1.0

=== debian/changelog ===
zaqar-tempest-plugin (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Sep 2025 08:38:40 +0200

## zaqar-tempest-plugin 3.2.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
testtools>=2.2.0 # MIT
tempest>=17.1.0 # Apache-2.0

=== debian/changelog ===
zaqar-tempest-plugin (3.2.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046021).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 13:04:19 +0100

zaqar-tempest-plugin (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:45:16 +0200

zaqar-tempest-plugin (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:18:18 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 override_dh_auto_clean:
 	python3 setup.py clean
 	find . -type d -name __pycache__ -exec rm -r {} \+
-	rm -rf build *.egg-info
+	rm -rf build *.egg-info .pybuild
 
 override_dh_auto_test:
 	echo "Do nothing..."

## zaqar-tempest-plugin 4.0.0

=== debian/changelog ===
zaqar-tempest-plugin (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2026 14:59:51 +0100
